## tdegames-trinity 14.1.1

=== CMakeLists.txt ===
###########################################
#                                         #
#  (C) 2016 Alexander Golubev             #
#  fatzer2 (AT) gmail.com                 #
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 2   #
#                                         #
###########################################


cmake_minimum_required( VERSION 3.1 )


##### general package setup

project( tdegames )


##### include essential cmake modules

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckCXXSourceCompiles )


##### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS           "Enable aRts support"                               ${WITH_ALL_OPTIONS} )

######################## options comments #############################
#                                                                     #
#  WITH_ARTS affects kbounce if disabled the game will have no sound  #
#                                                                     #
#  ARTS is required to build kolf and kasteroids                      #
#                                                                     #
#######################################################################


##### user requested modules 

option( BUILD_ALL          "Build all"           OFF )
option( BUILD_LIBTDEGAMES  "Build libtdegames"   ${BUILD_ALL} )
option( BUILD_ATLANTIK     "Build atlantik"      ${BUILD_ALL} )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_KASTEROIDS   "Build kasteroids"    ${BUILD_ALL} )
option( BUILD_KATOMIC      "Build katomic"       ${BUILD_ALL} )
option( BUILD_KBACKGAMMON  "Build kbackgammon"   ${BUILD_ALL} )
option( BUILD_KBATTLESHIP  "Build kbattleship"   ${BUILD_ALL} )
option( BUILD_KBLACKBOX    "Build kblackbox"     ${BUILD_ALL} )
option( BUILD_KBOUNCE      "Build kbounce"       ${BUILD_ALL} )
option( BUILD_KENOLABA     "Build kenolaba"      ${BUILD_ALL} )
option( BUILD_KFOULEGGS    "Build kfouleggs"     ${BUILD_ALL} )
option( BUILD_KGOLDRUNNER  "Build kgoldrunner"   ${BUILD_ALL} )
option( BUILD_KJUMPINGCUBE "Build kjumpingcube"  ${BUILD_ALL} )
option( BUILD_KLICKETY     "Build klickety"      ${BUILD_ALL} )
option( BUILD_KLINES       "Build klines"        ${BUILD_ALL} )
option( BUILD_KMAHJONGG    "Build kmahjongg"     ${BUILD_ALL} )
option( BUILD_KMINES       "Build kmines"        ${BUILD_ALL} )
option( BUILD_KNETWALK     "Build knetwalk"      ${BUILD_ALL} )
option( BUILD_KOLF         "Build kolf"          ${BUILD_ALL} )
option( BUILD_KONQUEST     "Build konquest"      ${BUILD_ALL} )
option( BUILD_KPAT         "Build kpat"          ${BUILD_ALL} )
option( BUILD_KPOKER       "Build kpoker"        ${BUILD_ALL} )
option( BUILD_KREVERSI     "Build kreversi"      ${BUILD_ALL} )
option( BUILD_KSAME        "Build ksame"         ${BUILD_ALL} )
option( BUILD_KSHISEN      "Build kshisen"       ${BUILD_ALL} )
option( BUILD_KSIRTET      "Build ksirtet"       ${BUILD_ALL} )
option( BUILD_KSMILETRIS   "Build ksmiletris"    ${BUILD_ALL} )
option( BUILD_KSNAKE       "Build ksnake"        ${BUILD_ALL} )
option( BUILD_KSOKOBAN     "Build ksokoban"      ${BUILD_ALL} )
option( BUILD_KSPACEDUEL   "Build kspaceduel"    ${BUILD_ALL} )
option( BUILD_KTRON        "Build ktron"         ${BUILD_ALL} )
option( BUILD_KTUBERLING   "Build ktuberling"    ${BUILD_ALL} )
option( BUILD_LSKAT        "Build lskat"         ${BUILD_ALL} )
option( BUILD_TWIN4        "Build twin4"         ${BUILD_ALL} )
option( BUILD_TDEFIFTEEN   "Build tdefifteen"    ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

if( WITH_TEST )
  enable_testing()
endif( WITH_TEST )


##### add apidox targets

if( "${CMAKE_VERSION}" VERSION_LESS "3.1" )
  set( CMAKE_ENV "env" )
else()
  set( CMAKE_ENV "${CMAKE_COMMAND};-E;env" )
endif()

add_custom_target( apidox
  COMMAND ${CMAKE_ENV}
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    "DOXDATA=${HTML_INSTALL_DIR}/en/common"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### tdegames directories

tde_conditional_add_subdirectory( BUILD_LIBTDEGAMES  libtdegames  )
tde_conditional_add_subdirectory( BUILD_ATLANTIK     atlantik     )
tde_conditional_add_subdirectory( BUILD_DOC          doc          )
tde_conditional_add_subdirectory( BUILD_KASTEROIDS   kasteroids   )
tde_conditional_add_subdirectory( BUILD_KATOMIC      katomic      )
tde_conditional_add_subdirectory( BUILD_KBACKGAMMON  kbackgammon  )
tde_conditional_add_subdirectory( BUILD_KBATTLESHIP  kbattleship  )
tde_conditional_add_subdirectory( BUILD_KBLACKBOX    kblackbox    )
tde_conditional_add_subdirectory( BUILD_KBOUNCE      kbounce      )
tde_conditional_add_subdirectory( BUILD_KENOLABA     kenolaba     )
tde_conditional_add_subdirectory( BUILD_KFOULEGGS    kfouleggs    )
tde_conditional_add_subdirectory( BUILD_KGOLDRUNNER  kgoldrunner  )
tde_conditional_add_subdirectory( BUILD_KJUMPINGCUBE kjumpingcube )
tde_conditional_add_subdirectory( BUILD_KLICKETY     klickety     )
tde_conditional_add_subdirectory( BUILD_KLINES       klines       )
tde_conditional_add_subdirectory( BUILD_KMAHJONGG    kmahjongg    )
tde_conditional_add_subdirectory( BUILD_KMINES       kmines       )
tde_conditional_add_subdirectory( BUILD_KNETWALK     knetwalk     )
tde_conditional_add_subdirectory( BUILD_KOLF         kolf         )
tde_conditional_add_subdirectory( BUILD_KONQUEST     konquest     )
tde_conditional_add_subdirectory( BUILD_KPAT         kpat         )
tde_conditional_add_subdirectory( BUILD_KPOKER       kpoker       )
tde_conditional_add_subdirectory( BUILD_KREVERSI     kreversi     )
tde_conditional_add_subdirectory( BUILD_KSAME        ksame        )
tde_conditional_add_subdirectory( BUILD_KSHISEN      kshisen      )
tde_conditional_add_subdirectory( BUILD_KSIRTET      ksirtet      )
tde_conditional_add_subdirectory( BUILD_KSMILETRIS   ksmiletris   )
tde_conditional_add_subdirectory( BUILD_KSNAKE       ksnake       )
tde_conditional_add_subdirectory( BUILD_KSOKOBAN     ksokoban     )
tde_conditional_add_subdirectory( BUILD_KSPACEDUEL   kspaceduel   )
tde_conditional_add_subdirectory( BUILD_KTRON        ktron        )
tde_conditional_add_subdirectory( BUILD_KTUBERLING   ktuberling   )
tde_conditional_add_subdirectory( BUILD_LSKAT        lskat        )
tde_conditional_add_subdirectory( BUILD_TWIN4        twin4        )
tde_conditional_add_subdirectory( BUILD_TDEFIFTEEN   tdefifteen   )

if( BUILD_KSIRTET OR BUILD_KFOULEGGS OR BUILD_KLICKETY )
    add_subdirectory( libksirtet )
endif()


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdegames-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 13:34:33 +0200

=== debian/control ===
Source: tdegames-trinity
Section: games
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, bzip2, libogg-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdegames-trinity
Architecture: all
Section: tde
Replaces: kdegames-trinity (<< 4:14.0.0~)
Breaks: kdegames-trinity (<< 4:14.0.0~)
Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version}), tdefifteen-trinity (>= ${source:Version})
Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
Description: games from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of games provided with
 the official release of TDE.

Package: tdegames-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegames-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegames-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdegames-trinity
Description: TDE games documentation in HTML format
 By default the games provided with TDE (the Trinity Desktop Environment)
 only provide their documentation in TDE docbook format, which can
 only be read by Konqueror or KHelpCenter.  This package provides all
 of the TDE games documentation converted to HTML format so it can be
 read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/en/<package>/, for instance
 /usr/share/doc/tde/HTML/en/kasteroids/.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames1-trinity
Architecture: any
Section: games
Replaces: libkdegames1-trinity (<< 4:14.0.0~)
Breaks: libkdegames1-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity games library and common files
 This library provides a common infrastructure for several of the
 games in the TDE distribution. Features include standardized menu
 items, high score handling, card display, and network connections
 including chat capabilities.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-trinity-dbg
Architecture: any
Depends: tdelibs-trinity-dbg
Replaces: kdegames-trinity-dbg (<< 4:14.0.0~)
Breaks: kdegames-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Section: tde
Description: debugging symbols for tdegames
 This package contains the debugging symbols associated with tdegames.
 They will automatically be used by gdb for debugging tdegames-related
 issues.

Package: libtdegames-trinity-dev
Architecture: any
Section: libdevel
Replaces: libkdegames-trinity-dev (<< 4:14.0.0~)
Breaks: libkdegames-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${source:Version})
Description: Trinity games library headers
 This package is necessary if you want to develop your own games using
 the TDE games library.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-trinity-doc
Architecture: all
Section: doc
Replaces: libkdegames-trinity-doc (<< 4:14.0.0~)
Breaks: libkdegames-trinity-doc (<< 4:14.0.0~)
Recommends: tdelibs14-trinity-doc, libtqtinterface-doc
Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
Description: API documentation for the Trinity games library
 This package contains the developers' documentation for libtdegames.
 You may want to install it if you wish to develop games for TDE.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-card-data-trinity
Architecture: all
Section: games
Replaces: kdegames-card-data-trinity (<< 4:14.0.0~)
Breaks: kdegames-card-data-trinity (<< 4:14.0.0~)
Description: Card decks for Trinity games
 Several different collections of card images for use by TDE games.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity
Architecture: any
Section: games
Replaces: atlantik-trinity (<< 4:14.0.0~)
Breaks: atlantik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: atlantikdesigner-trinity, monopd
Description: TDE client for Monopoly-like network games
 This is a TDE client for playing Monopoly-like boardgames on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game, as well as the Atlantik
 game in which the property includes several major cities in North
 America and Europe.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity-dev
Architecture: any
Section: devel
Replaces: atlantik-trinity-dev (<< 4:14.0.0~)
Breaks: atlantik-trinity-dev (<< 4:14.0.0~)
Priority: extra
Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
Description: Development files for Atlantik
 This package contains header files for compiling programs against the
 libraries which come with Atlantik.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kasteroids-trinity
Architecture: any
Section: games
Replaces: kasteroids-trinity (<< 4:14.0.0~)
Breaks: kasteroids-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Asteroids for Trinity
 You know this game.  It is based on Warwick Allison's QwSpriteField
 widget.
 .
 The objective of kasteroids is to destroy all the asteroids on the
 screen to advance to the next level. Your ship is destroyed if it
 makes contact with an asteroid.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: katomic-trinity
Architecture: any
Section: games
Replaces: katomic-trinity (<< 4:14.0.0~)
Breaks: katomic-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Atomic Entertainment game for Trinity
 This is a puzzle game, in which the object is to assemble a molecule
 from its atoms on a Sokoban-like board.  On each move, an atom goes
 as far as it can in a specified direction before being stopped by a
 wall or another atom.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbackgammon-trinity
Architecture: any
Section: games
Replaces: kbackgammon-trinity (<< 4:14.0.0~)
Breaks: kbackgammon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: gnubg
Description: A Backgammon game for Trinity
 KBackgammon is a backgammon program for Trinity. It is based on the
 code, ideas and concepts of KFibs (which is a FIBS client for
 KDE1). For a short time, KBackgammon was called bacKgammon (if you
 know somebody who is still using bacKgammon, please force them to
 upgrade :-)).
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbattleship-trinity
Architecture: any
Section: games
Replaces: kbattleship-trinity (<< 4:14.0.0~)
Breaks: kbattleship-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Battleship game for Trinity
 This is an implementation of the Battleship game.  Each player tries
 to be the first to sink all the opponent's ships by firing "blindly"
 at them.  The game has options to play over a network connection or
 against the computer.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kblackbox-trinity
Architecture: any
Section: games
Replaces: kblackbox-trinity (<< 4:14.0.0~)
Breaks: kblackbox-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: A simple logical game for the Trinity project
 KBlackBox is a game of hide and seek played on an grid of boxes. Your
 opponent (Random number generator, in this case) has hidden several
 balls within this box. By shooting rays into the box and observing
 where they emerge it is possible to deduce the positions of the
 hidden balls. The fewer rays you use to find the balls, the lower
 your score.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbounce-trinity
Architecture: any
Section: games
Replaces: kbounce-trinity (<< 4:14.0.0~)
Breaks: kbounce-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Jezzball clone for the Trinity Desktop Environment
 This is a clone of the popular Jezzball game originally created by
 Microsoft. Jezzball is one of the rare and simple games requiring
 skill, timing, and patience in order to be successful.  A ball begins
 to bounce off of an area enclosed by four borders (like a
 square). You must move your pointer to certain areas within the
 square. Upon clicking, a new border is constructed at a relatively
 quick pace. You can change the direction of the borders by 90 degrees
 as well. Ultimately, you must force the ball to bounce around in a
 smaller, and smaller area as time goes by without the ball ever
 touching the borders as they are being constructed. If a ball touches
 a certain part of the border as it is being built, the game is over.
 After 75% of the original space has been blocked off from the moving
 ball, you advance one level, and one more ball is added to the mix in
 the following level.
 .
 This game was previously known as kjezz.
 .
 This package is part of Trinity, and a component of the TDE games module.

## tdegames-trinity 14.1.2

=== debian/changelog ===
tdegames-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 02:31:46 +0200

## tdegames-trinity 14.1.3

=== debian/changelog ===
tdegames-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:18 +0200

## tdegames-trinity 14.1.4

=== debian/changelog ===
tdegames-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

export kde_bindir = /opt/trinity/games

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DBIN_INSTALL_DIR="/opt/trinity/games" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_INSTALL_CHANGELOGS_tdegames := $(DEB_SRCDIR)/ChangeLog

DEB_DH_MAKESHLIBS_ARGS_libtdegames1-trinity := -V'libtdegames1-trinity'
DEB_DH_MAKESHLIBS_ARGS_atlantik-trinity := -V
DEB_DH_MAKESHLIBS_ARGS_kolf-trinity := -V

PACKAGES_WITH_LIBS := libtdegames1-trinity atlantik-trinity kolf-trinity

common-binary-indep::
	if ! test -d debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; then mv debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-*apidocs debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; fi

## tdegames-trinity 14.1.5~pre7

=== kbackgammon/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( sounds )
add_subdirectory( icons )
add_subdirectory( engines )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_CURRENT_SOURCE_DIR}/engines
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbackgammon (executable) ##################

tde_add_executable( kbackgammon AUTOMOC
  SOURCES main.cpp kbg.cpp kbgboard.cpp kbgtextview.cpp kbgstatus.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeprint-shared
    kbgengines-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop( kbackgammon.desktop )

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/kbackgammon
    PO_DIR kbackgammon-eventsrc
)

install(
  FILES kbackgammonui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon
)

=== kolf/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( objects )
add_subdirectory( sounds )
add_subdirectory( courses )
add_subdirectory( pics )
add_subdirectory( graphics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### kolf (tdeinit) ############################

tde_add_tdeinit_executable( kolf AUTOMOC
  SOURCES main.cpp
  LINK kolf-shared
)


##### kolf (shared) #############################

tde_add_library( kolf SHARED AUTOMOC
  SOURCES kolf.cpp game.cpp canvasitem.cpp ball.cpp newgame.cpp config.cpp
    scoreboard.cpp editor.cpp pluginloader.cpp object.cpp vector.cpp
    printdialogpage.cpp kcomboboxdialog.cpp kvolumecontrol.cpp floater.cpp
    slope.cpp
  VERSION 1.2.0
  LINK tdegames-shared tdeprint-shared tdeio-shared artskde-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers ###################################

install( FILES ball.h game.h statedb.h config.h canvasitem.h object.h
    rtti.h vector.h floater.h slope.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kolf
)


##### other data ################################

add_custom_command ( OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc"
  COMMAND file -C -m ${CMAKE_CURRENT_SOURCE_DIR}/kolf.magic
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kolf.magic"
)

add_custom_target( kolf-magic-mgc ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc" )

tde_create_translated_desktop(
  SOURCE x-kourse.desktop x-kolf.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR kolf-desktops
)

install( FILES kolf.magic "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc"
  DESTINATION ${CONFIG_INSTALL_DIR}/magic
)

tde_create_translated_desktop(
  SOURCE kolf.desktop
  PO_DIR kolf-desktops
)

tde_create_translated_desktop(
  SOURCE intro tutorial.kolf
  DESTINATION ${DATA_INSTALL_DIR}/kolf
  PO_DIR kolf-courses
)

install( FILES kolfui.rc tutorial.kolfgame
  DESTINATION ${DATA_INSTALL_DIR}/kolf
)

=== ksame/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksame (executable) ########################

tde_add_executable( ksame AUTOMOC
  SOURCES main.cpp StoneField.cpp StoneWidget.cpp KSameWidget.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( ksame )


##### other data ################################

install(
  FILES stones.png ksameui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksame
)

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/ksame
  PO_DIR ksame-eventsrc
)

tde_create_translated_desktop( ksame.desktop )

=== doc/konquest/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION konquest  )

=== doc/kreversi/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer
tde_create_handbook( DESTINATION kreversi  )

=== kasteroids/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES Explosion.wav
  DESTINATION ${DATA_INSTALL_DIR}/kasteroids/sounds
)

=== kbackgammon/icons/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_install_icons( kbackgammon kbackgammon_engine )

=== kbackgammon/pics/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES kbackgammon-double.xpm kbackgammon-chat.png
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon/pics
)

=== kbackgammon/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES kbackgammon-lost.wav kbackgammon-won.wav kbackgammon-roll.wav
  kbackgammon-move.wav
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon/sounds
)

=== knetwalk/src/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )
add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### knetwalk (executable) #####################

tde_add_executable( knetwalk AUTOMOC
  SOURCES cell.cpp highscores.cpp main.cpp mainwindow.cpp settings.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdecore-shared
    tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knetwalk
  PO_DIR knetwalk-eventsrc
)

tde_create_translated_desktop( knetwalk.desktop )

install( FILES knetwalkui.rc
  DESTINATION ${DATA_INSTALL_DIR}/knetwalk
)

=== konquest/pics/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES konquest-splash.png planet1.xpm planet2.xpm planet3.xpm
  planet4.xpm planet5.xpm planet6.xpm planet7.xpm planet8.xpm planet9.xpm
  ruler.xpm
  DESTINATION ${DATA_INSTALL_DIR}/konquest/pics
)

=== kpoker/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES cardflip.wav hold.wav lose.wav win.wav
  DESTINATION ${DATA_INSTALL_DIR}/kpoker/sounds
)

=== debian/changelog ===
tdegames-trinity (4:14.1.5~pre7-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 27ebcd13784497ed8b50649ba529291480a1f9d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
